# web_action_conditionable

Add support for conditions on create and delete actions on One2Many fields.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Other credits
  - Maintainers

# Usage

Odoo by default support:

    <tree delete="false" create="false">

with this module you can:

    <tree delete="state=='draft'" create="state!='sent'">

It works in any tree view, so you can use it in One2many.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Cristian Salamea

## Contributors

- Cristian Salamea <cristian.salamea@gmail.com>
- André Paramés <github@andreparames.com> (https://www.acsone.eu/)
- Alexandre Díaz <alexandre.diaz@tecnativa.com>
- Sudhir Arya <sudhir@erpharbor.com>
- Jasper Jumelet <jasper.jumelet@codeforward.nl>
- Trobz:
    - Nguyễn Minh Chiến <chien@trobz.com>

## Other credits

The migration of this module from 15.0 to 16.0 was financially supported by Camptocamp

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/web project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.